Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Upgrade to Kotlin 1.3 [SPR-16399] #20945

Closed
spring-issuemaster opened this issue Jan 18, 2018 · 1 comment

Comments

Projects
None yet
3 participants
@spring-issuemaster
Copy link
Collaborator

commented Jan 18, 2018

Juergen Hoeller opened SPR-16399 and commented

Since Kotlin 1.3 went GA shortly after Spring Framework 5.1, let's upgrade our build to Kotlin 1.3 as of Spring Framework 5.2.


Issue Links:

  • #20606 Unable to use WebTestClient with mock server in Kotlin ("is depended on by")
  • #20786 Upgrade to Kotlin 1.2
  • #20936 Compatibility with JDK 10
  • #22049 Upgrade to Hibernate ORM 5.4
  • #21998 Support for parameter name introspection on Kotlin inline classes
  • #21546 Support for kotlinx.reflect.lite

2 votes, 7 watchers

@jhoeller

This comment has been minimized.

Copy link
Contributor

commented Jan 24, 2019

I'm upgrading to Kotlin 1.3.20 along with Hibernate ORM 5.4.1, raising the Kotlin language level to 1.2 (since language level 1.1 is deprecated in the meantime).

@jhoeller jhoeller closed this in b07b10d Jan 24, 2019

jhoeller added a commit that referenced this issue Feb 7, 2019

sdeleuze added a commit to sdeleuze/spring-framework that referenced this issue Feb 18, 2019

sdeleuze added a commit to sdeleuze/spring-framework that referenced this issue Feb 18, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.